Subject: Re: Fwd: question regarding rfc2591, implementation

From: Alan Luchuk <[email-masked]>
Date: Wed, 5 Jan 2000 10:00:31 -0500 (EST)

>> hi all,
>> I am currently implementing rfc2591, on router.
>> I have a question regarding the user modification of calendar values or
>> interval while the schedule is in active state.
>> ------------------------------------------------------------------------
>> 
>> 1. Can the SNMP Management Station modify CalendarGroup Objects and
>>     schedInterval object when the schedRowStatus is in  'active' state
>> ?. If the answer
>>     is 'yes' does the agent implementation should temporarily put
>> schedOperStatus
>>     to DISABLE to achieve the Calendar value change ?. Is there a better
>> way
>>     to handle this?.
>> -----------------------------------------------------------------------

Hello,

Setting a read-create MIB object in a table row while the table 
row's RowStatus field is 'active' is a legal.  So the answer to 
question (1) above must be "yes".

The harder question is what is supposed to happen if you attempt
to change the schedInterval while schedAdminStatus is 'enabled'.
I have not checked RFC 2591 carefully to determine whether the 
RFC specifies how this _should_ work.  But SNMP Research's 
DISMAN-SCHEDULE-MIB implementation lets you change the 
schedInterval while schedAdminStatus and schedOperStatus both 
are 'enabled'.  I surfed through the code and also verified 
this behavior with an operational test.  Our DISMAN-SCHEDULE-MIB
implementation does _not_ briefly set schedAdminStatus or 
schedOperStatus to 'disabled' to make the change to schedInterval.

Regards,
--Alan
 
 -----------------------------------------------------------------------------
 Alan Luchuk       SNMP Research, Inc.                 Voice:  +1 865 573 1434
 Software Engineer 3001 Kimberlin Heights Road         FAX:    +1 865 573 9197
 [email-masked]   Knoxville, TN  37920-9716  U.S.A.   http://www.snmp.com/
 -----------------------------------------------------------------------------

   Please note that our telephone area code recently changed from 423 to 865. 
   Area 423 should countinue to work until it is phased out in April, 2000.

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 6 Jan 2000 11:50:09 +0100

>>>>> Alan Luchuk writes:

Alan> The harder question is what is supposed to happen if you attempt
Alan> to change the schedInterval while schedAdminStatus is 'enabled'.
Alan> I have not checked RFC 2591 carefully to determine whether the
Alan> RFC specifies how this _should_ work.

I think RFC 2591 is silent about this case.

Alan> But SNMP Research's DISMAN-SCHEDULE-MIB implementation lets you
Alan> change the schedInterval while schedAdminStatus and
Alan> schedOperStatus both are 'enabled'.  I surfed through the code
Alan> and also verified this behavior with an operational test.  Our
Alan> DISMAN-SCHEDULE-MIB implementation does _not_ briefly set
Alan> schedAdminStatus or schedOperStatus to 'disabled' to make the
Alan> change to schedInterval.

I think that this is a reasonable interpretation. I do not see a
strong reason why one should inhibit changes to schedInterval and
friends while the schedAdminStatus and schedOperStatus is enabled
(other than that it may be a bit easier to implement).

Unless I hear a good argument why changes to schedInterval and friends
should be disallowed as long as a row is enabled, I tend to put text
into the next revision that clarifies that changing schedInterval is
allowed even if schedAdminStatus and schedOperStatus are enabled.

/js

-- 
Juergen Schoenwaelder      Technical University Braunschweig
<[email-masked]>  Dept. Operating Systems & Computer Networks
Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>